@import '../../assets/style/variables.scss';
@import '../../assets/style/btn.scss';



.sideMenu__overley {
    position: fixed;
    background: rgba(0,0,0,.5);
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
.sideMenu__drawer {
    background: $lightenSecondaryBg;
    width: 320px;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    overflow-y: scroll;
    animation: move 1s;
    @keyframes move {
        from{
            transform: translateX(-100%);
        }
        to {
            transform: translateX(0);
        }
    }
    .sideMenu__header{
        background: $primaryBg;
        color: $primary;
        .sideMenu__firstBlock{
            display: flex;
            justify-content: space-between;
            align-items: center;
            .sideMenu__logo {
                color: inherit;
                text-decoration: none;
                margin-left: 1rem;
            }
            .sideMenu__close {
                font-size: 2rem;
                cursor: pointer;
                margin-right: 1rem;
            }
        }
        .sideMenu__phoneNumber {
            display: block;
            color: inherit;
            text-decoration: none;
            margin-left: 1rem;
            padding-bottom: 1rem;
            font-size: 1.2rem;
            svg {
                width: 25px;
                height: 25px;
                fill: $primary;
                margin-right: 1rem;
            }
        }
    }

    .sideMenu__body{
        border-bottom: 1px solid rgba(0,0,0,.125);;
        .sideMenu__actionGroup{
            display: flex;
            align-items: center;
            text-decoration: none;
            color:inherit;
            svg {
                width: 35px;    
                height: 35px;
                fill: $primary;
                margin-right: 1rem;
            }
            &:hover{
                svg {
                    fill: darken($primary, 10);
    
                }
            }
    
        }
        .sideMenu__sideBtn{
            padding: 1rem;
        }
    }
}

}